summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorÖzgür Kesim <oec-taler@kesim.org>2022-11-20 16:34:29 +0100
committerÖzgür Kesim <oec-taler@kesim.org>2022-11-20 16:34:29 +0100
commit496a13f35eb3b352eb2bcf8cf84938ce0683e9c5 (patch)
treeae21b3a6ca998e44df3b5232b6ad69999757130c /src
parent8250d830b6facc3cd51ba9cecf109566ec346013 (diff)
downloadexchange-496a13f35eb3b352eb2bcf8cf84938ce0683e9c5.tar.gz
exchange-496a13f35eb3b352eb2bcf8cf84938ce0683e9c5.tar.bz2
exchange-496a13f35eb3b352eb2bcf8cf84938ce0683e9c5.zip
retry test after 2s sleep; workaround for #7445
Diffstat (limited to 'src')
-rwxr-xr-xsrc/auditor/test-auditor.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 2fc97283b..60cc00bd2 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -240,7 +240,13 @@ function audit_only () {
echo -n "."
$VALGRIND taler-helper-auditor-reserves -i -L DEBUG -c $CONF -m $MASTER_PUB > test-audit-reserves-inc.json 2> ${MY_TMP_DIR}/test-audit-reserves-inc.log || exit_fail "incremental reserves audit failed"
echo -n "."
- $VALGRIND taler-helper-auditor-wire -i -L DEBUG -c $CONF -m $MASTER_PUB > test-audit-wire.json 2> ${MY_TMP_DIR}/test-wire-audit.log || exit_fail "wire audit failed"
+ rm -f ${MY_TMP_DIR}/test-wire-audit.log
+ thaw() {
+ $VALGRIND taler-helper-auditor-wire -i -L DEBUG -c $CONF -m $MASTER_PUB > test-audit-wire.json 2>> ${MY_TMP_DIR}/test-wire-audit.log
+ }
+ thaw || ( echo -e " FIRST CALL TO taler-helper-auditor-wire FAILED,\nRETRY AFTER TWO SECONDS..." | tee -a ${MY_TMP_DIR}/test-wire-audit.log
+ sleep 2
+ thaw || exit_fail "wire audit failed" )
echo -n "."
$VALGRIND taler-helper-auditor-wire -i -L DEBUG -c $CONF -m $MASTER_PUB > test-audit-wire-inc.json 2> ${MY_TMP_DIR}/test-wire-audit-inc.log || exit_fail "wire audit inc failed"
echo -n "."